sc::NCResult< T >(3)

NAME
sc::NCResult< T > -

This is similar to Result, but can be used with non-class types.

SYNOPSIS

#include <comptmpl.h>

Inherits sc::ResultInfo.

  Public Member Functions
NCResult (Compute *c)
NCResult (const NCResult< T > &r, Compute *c)
operator T & ()
T & result ()
T & result_noupdate ()
const T & result_noupdate () const
void operator= (const T &a)
void operator= (const NCResult< T > &r)

  Additional Inherited Members

Detailed Description

  template<class T>class sc::NCResult< T >
This is similar to Result, but can be used with non-class types.

Author

Generated automatically by Doxygen for MPQC from the source code.